Package com.emc.documentum.rest.model

# Class SysObject

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PersistentObject
com.emc.documentum.rest.model.SysObject

All Implemented Interfaces:
  `com.emc.documentum.rest.conditional.Digestible`, `Linkable`

Direct Known Subclasses:
  `AspectTypeObject`, `ContentfulObject`, `FolderObject`, `Lifecycle`, `MethodObject`, `NetworkLocation`, `UserWebSessionObject`, `VirtualDocumentSnapshot`

public class SysObject extends PersistentObject
Model sys object resource in the repository.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final List<String>`
  `DEFAULT_FIELDS`
  Default fields that will be retrieved when use select * in DQL
  `static final List<String>`
  `INTERNAL_FIELDS`
  Internal fields
  `static final List<String>`
  `MANDATORY_FIELDS`
  Mandatory fields
  `static final List<String>`
  `OPTIONAL_FIELDS`
  Optional fields

  ### Fields inherited from class com.emc.documentum.rest.model.PersistentObject

  `id, isLightweight, isMaterialized, isSnapshot, isVirtual, mandatoryAttributes, optionalAttributes, parentId, permissions, properties, reqDigest, type, typeDef, versionPolicy`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SysObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDcWriteUrl(String title, String dcWriteUrl)`
  Add distributed content write URL; not serializable
  `String`
  `getBindingLabel()`
  Get the binding version for a virtual document
  `Map<String,String>`
  `getDcWriteUrls()`
  Get distributed content write URLs
  `String`
  `getHref()`
  Get sys object href
  `List<String>`
  `getInternalFields()`
  Get internal attribute names
  `List<String>`
  `getMandatoryFields()`
  Get mandatory attribute names
  `ObjectAspects`
  `getObjectAspects()`
  `ObjectLifecycle`
  `getObjectLifecycle()`
  `List<String>`
  `getOptionalFields()`
  Get optional attribute names
  `String`
  `getSharingParent()`
  Get the sharing parent object href
  `Boolean`
  `isDeepCopy()`
  Check deep copy strategy
  `Boolean`
  `isIncludeBroken()`
  Get the include broken value
  `Boolean`
  `isReplicateVdChildren()`
  Whether replicate children for the virtual document in a folder
  `Boolean`
  `isRetainAcl()`
  whether copy acl from old object to new one
  `void`
  `setBindingLabel(String bindingLabel)`
  Set the binding version for a virtual document
  `void`
  `setDeepCopy(Boolean deepCopy)`
  Set deep copy strategy
  `void`
  `setHref(String href)`
  Set href of sys object
  `void`
  `setIncludeBroken(Boolean includeBroken)`
  Set whether include binding broken nodes in virtual document
  `void`
  `setObjectAspects(ObjectAspects objectAspects)`
  `void`
  `setObjectLifecycle(ObjectLifecycle objectLifecycle)`
  `void`
  `setReplicateVdChildren(Boolean replicateVdChildren)`
  Set whether replicate children for the virtual document
  `void`
  `setRetainAcl(Boolean retainAcl)`
  set whether retain acl from old object to new one
  `void`
  `setSharingParent(String sharingParent)`
  Set the sharing parent

  ### Methods inherited from class com.emc.documentum.rest.model.PersistentObject

  `addAttribute, addMandatoryAttribute, addOptionalAttribute, calculatesDigest, convertDate, geOptionalAttribute, getAttributeByName, getAttributes, getId, getMandatoryAttribute, getParentId, getPermissions, getReqDigest, getType, getTypeDef, getVersionPolicy, hasAttribute, hasAttributeValue, hasOptionalAttribute, isLightweight, isMatchedWithReqDigest, isMaterialized, isSnapshot, isVirtualDocument, reInitAttributes, removeAttributeIfExisted, setId, setIsSnapshot, setIsVirtualDocument, setLightweight, setMaterialized, setParentId, setPermissions, setReqDigest, setType, setTypeDef, setVersionPolicy, toString`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_FIELDS

    public static final List<String> DEFAULT_FIELDS
    Default fields that will be retrieved when use select * in DQL

  - ### MANDATORY_FIELDS

    public static final List<String> MANDATORY_FIELDS
    Mandatory fields

  - ### INTERNAL_FIELDS

    public static final List<String> INTERNAL_FIELDS
    Internal fields

  - ### OPTIONAL_FIELDS

    public static final List<String> OPTIONAL_FIELDS
    Optional fields

- ## Constructor Details

  - ### SysObject

    public SysObject()

- ## Method Details

  - ### getHref

    public String getHref()
    Get sys object href
    Returns:
      sys object href

  - ### setHref

    public void setHref(String href)
    Set href of sys object
    Parameters:
      `href` - href of sys object

  - ### isDeepCopy

    public Boolean isDeepCopy()
    Check deep copy strategy
    Returns:
      `true` if deep copy

  - ### setDeepCopy

    public void setDeepCopy(Boolean deepCopy)
    Set deep copy strategy
    Parameters:
      `deepCopy` - deep copy strategy to set

  - ### isReplicateVdChildren

    public Boolean isReplicateVdChildren()
    Whether replicate children for the virtual document in a folder
    Returns:
      true if replicate children

  - ### setReplicateVdChildren

    public void setReplicateVdChildren(Boolean replicateVdChildren)
    Set whether replicate children for the virtual document
    Parameters:
      `replicateVdChildren` - true to replicate children

  - ### isRetainAcl

    public Boolean isRetainAcl()
    whether copy acl from old object to new one
    Returns:
      whether copy acl

  - ### setRetainAcl

    public void setRetainAcl(Boolean retainAcl)
    set whether retain acl from old object to new one
    Parameters:
      `retainAcl` - whether retain acl during copy operation

  - ### getSharingParent

    public String getSharingParent()
    Get the sharing parent object href
    Returns:
      the sharing parent object href

  - ### setSharingParent

    public void setSharingParent(String sharingParent)
    Set the sharing parent
    Parameters:
      `sharingParent` - the sharing parent to be set

  - ### getBindingLabel

    public String getBindingLabel()
    Get the binding version for a virtual document
    Returns:
      the binding version

  - ### setBindingLabel

    public void setBindingLabel(String bindingLabel)
    Set the binding version for a virtual document
    Parameters:
      `bindingLabel` - the binding version

  - ### isIncludeBroken

    public Boolean isIncludeBroken()
    Get the include broken value
    Returns:
      whether include binding broken nodes in virtual document

  - ### setIncludeBroken

    public void setIncludeBroken(Boolean includeBroken)
    Set whether include binding broken nodes in virtual document
    Parameters:
      `includeBroken` - the value of include broken

  - ### getMandatoryFields

    public List<String> getMandatoryFields()
    Description copied from class: `PersistentObject`
    Get mandatory attribute names
    Overrides:
      `getMandatoryFields` in class `PersistentObject`
    Returns:
      mandatory fields

  - ### getInternalFields

    public List<String> getInternalFields()
    Description copied from class: `PersistentObject`
    Get internal attribute names
    Overrides:
      `getInternalFields` in class `PersistentObject`
    Returns:
      internal fields

  - ### getOptionalFields

    public List<String> getOptionalFields()
    Description copied from class: `PersistentObject`
    Get optional attribute names
    Overrides:
      `getOptionalFields` in class `PersistentObject`
    Returns:
      optional attribute names

  - ### getObjectAspects

    public ObjectAspects getObjectAspects()

  - ### setObjectAspects

    public void setObjectAspects(ObjectAspects objectAspects)

  - ### getObjectLifecycle

    public ObjectLifecycle getObjectLifecycle()

  - ### setObjectLifecycle

    public void setObjectLifecycle(ObjectLifecycle objectLifecycle)

  - ### addDcWriteUrl

    public void addDcWriteUrl(String title, String dcWriteUrl)
    Add distributed content write URL; not serializable
    Parameters:
      `title` - ACS or BOCS server label
      `dcWriteUrl` - distributed content URLs

  - ### getDcWriteUrls

    public Map<String,String> getDcWriteUrls()
    Get distributed content write URLs
    Returns:
      distributed content write URLs in map where the key is the ACS or BOCS server label and the value is the URL